API Reference//
- Adds categorisation, classification and predicts a merchant name for transactions supplied.
Integration
Authorization
Adds categorisation, clas...
Adds categorisation, classification and predicts a merchant name for transactions supplied.
Security
Bearer(Required scopes: api:data)
Request body for categorisation
Currency code for the transactions, currently supported codes are GBP and USD.
- UK Environment (Production)https://uk.api.atto.co/insights-engine/v1/enrich-transactions
- US Environment (Production)https://us.api.atto.co/insights-engine/v1/enrich-transactions
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
'https://uk.api.atto.co/insights-engine/v1/enrich-transactions?useLegacyCategorisation=false&confidenceFloor=0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"referenceId": "string",
"countryCode": "string",
"currencyCode": "string",
"transactions": [
{
"transactionId": "string",
"description": "string",
"amount": 0.1,
"creditDebitIndicator": "Credit",
"status": "Pending",
"bookingDate": "string"
}
]
}'Categorisation result for the supplied transactions
Array []
Currency code for the transactions, currently supported codes are GBP and USD.
Response
[ { "referenceId": "Ref_1", "countryCode": "GB", "currencyCode": "GBP", "transactions": [ … ] } ]